package org.jeecg.modules.adminuser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 用户子表-公司
 * @Author: jeecg-boot
 * @Date:   2023-08-14
 * @Version: V1.0
 */
@Data
@TableName("admin_comp_select")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_comp_select对象", description="用户子表-公司")
public class AdminCompSelect implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**公司名称*/
	@Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private String compName;
    /**手机号*/
    @Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private String phone;
	/**外键*/
	@Excel(name = "外键", width = 15)
    @ApiModelProperty(value = "外键")
    private String orderId;

    @Excel(name = "科室名称", width = 15)
    @ApiModelProperty(value = "科室名称")
    private String ksName;

    @Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private String dwName;

    @Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private String avatar;

    @Excel(name = "证件照", width = 15)
    @ApiModelProperty(value = "证件照")
    private String cardPic;

    /**医生还是专家  1是医生  2是专家*/
    @ApiModelProperty(value = "医生还是专家  1是医生  2是专家")
    private String doctorAndSpecialist;
    /**云账户权限*/
    @ApiModelProperty(value = "  0是关闭  1是开启")
    private String yzh;

    @Excel(name = "身份证号", width = 15)
    @ApiModelProperty(value = "身份证号")
    private String card;

    @Excel(name = "是否完善信息（1未完善 2完善了）", width = 15)
    @ApiModelProperty(value = "是否完善信息（1未完善 2完善了）")
    private Integer completeInformation;
    /**科室名称*/

    @Excel(name = "银行账号", width = 15)
    @ApiModelProperty(value = "银行账号")
    private String backCard;
    /**开户行*/
    @Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private String backName;

    @Excel(name = "持卡人姓名", width = 15)
    @ApiModelProperty(value = "持卡人姓名")
    private String cardholderName;

    @Excel(name = "银行预留手机号", width = 15)
    @ApiModelProperty(value = "银行预留手机号")
    private String cardholderPhone;

    @ApiModelProperty(value = "是否允许病历上传1允许 2不允许")
    private String wisMhu;
    @ApiModelProperty(value = "是否允许问卷调查1允许 2不允许")
    private String wisWjdc;

    @ApiModelProperty(value = "专家分配数量")
    private Integer allocationNum;

    @ApiModelProperty(value = "姓名")
    private String name;


}
