package org.jeecg.modules.adminuser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 转账记录表
 * @Author: jeecg-boot
 * @Date:   2023-08-07
 * @Version: V1.0
 */
@Data
@TableName("admin_transfer_accounts")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_transfer_accounts对象", description="转账记录表")
public class AdminTransferAccounts implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**转账金额*/
	@Excel(name = "转账金额", width = 15)
    @ApiModelProperty(value = "转账金额")
    private BigDecimal transferMoney;
	/**转账备注*/
	@Excel(name = "转账备注", width = 15)
    @ApiModelProperty(value = "转账备注")
    private String transferNotes;
	/**转账账号*/
	@Excel(name = "转账账号", width = 15)
    @ApiModelProperty(value = "转账账号")
    private String transferCode;
	/**转账医生*/
	@Excel(name = "转账医生", width = 15)
    @ApiModelProperty(value = "转账医生")
    private String transferDoctor;
    /**订单号*/
    @Excel(name = "订单号", width = 15)
    @ApiModelProperty(value = "订单号")
    private String orderId;
    /**转账结果*/
    @Excel(name = "转账结果", width = 15)
    @ApiModelProperty(value = "转账结果")
    @Dict(dicCode = "trans_code")
    private String transferResults;
    /**结果信息*/
    @Excel(name = "结果信息", width = 15)
    @ApiModelProperty(value = "结果信息")
    private String resultsMess;


    // 平台企业订单号
//    private String orderId;

    // 订单金额
    private String pay;

    // 综合服务主体 ID
    private String brokerId;

    // 平台企业 ID
    private String dealerId;

    // 姓名
    private String realName;

    // 收款人账号
    private String cardNo;

    // 身份证号码
    private String idCard;

    // 手机号
    private String phoneNo;

    // 订单状态码
    private String status;

    // 订单详细状态码
    private String statusDetail;

    // 订单状态码描述
    private String statusMessage;

    // 订单详细状态码描述
    private String statusDetailMessage;

    // 综合服务主体支付金额
    private String brokerAmount;

    // 综合服务平台流水号
    private String ref;

    // 支付交易流水号
    private String brokerBankBill;

    // 支付路径
    private String withdrawPlatform;

    // 订单接收时间，精确到秒
    private String createdAt;

    // 订单完成时间，精确到秒
    private String finishedTime;

    // 综合服务主体加成服务费
    private String brokerFee;

    // 余额账户支出加成服务费
    private String brokerRealFee;

    // 抵扣账户支出加成服务费
    private String brokerDeductFee;

    // 订单备注
    private String payRemark;

    // 用户加成服务费
    private String userFee;

    // 银行名称
    private String bankName;

    // 项目标识
    private String projectId;

    // 平台企业用户 ID
    private String userId;

    private String notifyId;
    private String notifyTime;
}
