package org.jeecg.modules.adminuser.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 用户管理
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_user对象", description="用户管理")
public class AdminUserVO implements Serializable {
    private static final long serialVersionUID = 1L;


	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private String name;

	/**身份证号*/
	@Excel(name = "身份证号", width = 15)
    @ApiModelProperty(value = "身份证号")
    private String card;
	/**银行账号*/
    @Excel(name = "银行账号", width = 15)
    @ApiModelProperty(value = "银行账号")
    private String backCard;

    @Excel(name = "银行预留手机号", width = 15)
    @ApiModelProperty(value = "银行预留手机号")
    private String cardholderPhone;

    /**验证码*/
    @ApiModelProperty(value = "验证码")
    private String Code;
    /**交易凭证*/
    @ApiModelProperty(value = "交易凭证")
    private String ref;

    /**单位名称*/
	@Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private String dwname;

	/**科室名称*/
	@Excel(name = "科室名称", width = 15)
    @ApiModelProperty(value = "科室名称")
    private String ksname;

	/**医生还是专家  1是医生  2是专家*/
    @ApiModelProperty(value = "医生还是专家  1是医生  2是专家")
    private String doctorAndSpecialist;

    /**证件照*/
    @ApiModelProperty(value = "证件照")
    private String cardPic;


















}
