package org.jeecg.modules.adminuser.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.adminuser.entity.AdminUser;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adminuser.entity.AdminUserVO;

/**
 * @Description: 用户管理
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
public interface IAdminUserService extends IService<AdminUser> {

    Integer num(QueryWrapper<AdminUser> queryWrapper);

    Result saveUser(AdminUser adminUser);

    Result<?> giveMoney(AdminUser adminUser);

    // 获取协议预览 URL
    Result getUserAgreement();

    //签约协议
    Result<?> agreeUserAgreement(String name,String card);

    //四要素验证（下发验证码）
    Result<?> perfectInformation(AdminUserVO adminUser, String authorization);

    //完善个人信息
    Result<?> perfectInformationUpload(AdminUserVO adminUser, String authorization);

    //获取用户签约状态
    Result<?> getApiUserSignStatus(String authorization);

    void updateByUser2(AdminUser adminUser);
    void updateByUser(AdminUser adminUser);

    Result<?> saveMain(AdminUser adminUser);
}
