package org.jeecg.modules.adminwjdc.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 问卷调查
 * @Author: jeecg-boot
 * @Date:   2023-02-25
 * @Version: V1.0
 */
@Data
@TableName("admin_topic")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_topic对象", description="问卷调查")
public class AdminTopic implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    @Excel(name = "问卷头", width = 15)
    @ApiModelProperty(value = "问卷头")
    private String topicTop;
	/**题和答案*/
	@Excel(name = "题和答案[{a:'题目1',b:'答案'}]", width = 15)
    @ApiModelProperty(value = "题和答案[{a:'题目1',b:'答案'}]")
    private String topic;

    @ApiModelProperty(value = "题和答案[{a:'题目1',b:'答案'}](只有百分比，而且没有选的或者没有填的选项传‘’)")
    private String topicTwo;
	/**提交人*/
	@Excel(name = "提交人", width = 15)
    @ApiModelProperty(value = "提交人")
    private String username;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "医院")
    private String hospital;

    @ApiModelProperty(value = "门诊日期")
    private String outpatientServiceTime;
	/**提交时间*/
    @ApiModelProperty(value = "提交时间")
    private Date createTime;
    /**公司编码*/
    @ApiModelProperty(value = "公司编码")
    private String sysOrgCode;
}
