package org.jeecg.modules.api.controller;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.dysmsapi20170525.models.SendSmsRequest;
import com.aliyun.dysmsapi20170525.models.SendSmsResponse;
import com.aliyun.tea.TeaException;
import com.aliyun.teautil.models.RuntimeOptions;
import com.baomidou.mybatisplus.core.conditions.query.Query;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.apache.shiro.SecurityUtils;
import org.checkerframework.checker.units.qual.A;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.constant.CommonConstant;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.system.util.JwtUtil;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.common.util.PasswordUtil;
import org.jeecg.common.util.RedisUtil;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.common.util.oss.OssBootUtil;
import org.jeecg.modules.admincasehistory.entity.AdminCaseName;
import org.jeecg.modules.admincasehistory.entity.AdminMedicalHistory;
import org.jeecg.modules.admincasehistory.entity.AdminPlatform;
import org.jeecg.modules.admincasehistory.entity.AdminUploadingName;
import org.jeecg.modules.admincasehistory.service.IAdminCaseNameService;
import org.jeecg.modules.admincasehistory.service.IAdminMedicalHistoryService;
import org.jeecg.modules.admincasehistory.service.IAdminPlatformService;
import org.jeecg.modules.admincasehistory.service.IAdminUploadingNameService;
import org.jeecg.modules.adminuser.entity.*;
import org.jeecg.modules.adminuser.service.IAdminCompSelectService;
import org.jeecg.modules.adminuser.service.IAdminPrivacyService;
import org.jeecg.modules.adminuser.service.IAdminTransferAccountsService;
import org.jeecg.modules.adminuser.service.IAdminUserService;
import org.jeecg.modules.adminwjdc.entity.AdminTopic;
import org.jeecg.modules.adminwjdc.service.IAdminTopicService;
import org.jeecg.modules.api.entity.ForgetThePasswordDTO;
import org.jeecg.modules.api.entity.SmsSendDTO;
import org.jeecg.modules.api.entity.UserDTO;
import org.jeecg.modules.base.service.BaseCommonService;
import org.jeecg.modules.quesmanage.entity.QuesManage;
import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import org.jeecg.modules.quesmanage.entity.QuesSubNodeMessage;
import org.jeecg.modules.quesmanage.entity.QuesSubNote;
import org.jeecg.modules.quesmanage.mapper.QuesSubNoteMapper;
import org.jeecg.modules.quesmanage.service.IQuesManageDetailService;
import org.jeecg.modules.quesmanage.service.IQuesManageService;
import org.jeecg.modules.quesmanage.service.IQuesSubNoteService;
import org.jeecg.modules.quesmanage.vo.QuesManagePage;
import org.jeecg.modules.quesmanage.vo.QuesSubNotePage;
import org.jeecg.modules.system.service.ISysUserService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.util.DigestUtils;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.*;


@Api(tags = "用户端接口")
@RestController
@RequestMapping("/api")
@Slf4j
public class APIController {

    @Autowired
    private RedisUtil redisUtil;
    @Resource
    private BaseCommonService baseCommonService;
    @Autowired
    private IAdminPlatformService adminPlatformService;
    @Autowired
    private IAdminUserService adminUserService;
    @Autowired
    private IAdminMedicalHistoryService adminMedicalHistoryService;
    @Autowired
    private IAdminUploadingNameService adminUploadingNameService;
    @Autowired
    private IAdminCaseNameService adminCaseNameService;
    @Autowired
    private IAdminTopicService adminTopicService;
    @Autowired
    private IQuesSubNoteService quesSubNoteService;
    @Autowired
    private IAdminPrivacyService adminPrivacyService;
    @Autowired
    private IQuesManageService quesManageService;
    @Autowired
    private IQuesManageDetailService quesManageDetailService;
    @Autowired
    private IAdminTransferAccountsService adminTransferAccountsService;
    @Autowired
    private ISysUserService sysUserService;
    @Autowired
    private IAdminCompSelectService adminCompSelectService;


    @GetMapping(value = "/a")
    public void a() {
        try {
            QueryWrapper<AdminMedicalHistory> queryWrapper = new QueryWrapper<>();
            queryWrapper.isNull("submitter_name");
            List<AdminMedicalHistory> list = adminMedicalHistoryService.list(queryWrapper);
            int a = list.size();
            System.err.println(a);
            for (int i = 0; i < a; i++) {
                System.err.println("i=" + i);
                QueryWrapper<AdminUser> queryWrapper2 = new QueryWrapper<>();

                queryWrapper2.eq("phone", list.get(i).getPhone());
                queryWrapper2.eq("doctor_and_specialist", "1");
                AdminUser storeMember1 = adminUserService.getOne(queryWrapper2);
                AdminMedicalHistory adminMedicalHistory = new AdminMedicalHistory();

                if (storeMember1 == null) {
                    adminMedicalHistory.setId(list.get(i).getId());
                    adminMedicalHistory.setSubmitterName("无");
                } else {
                    adminMedicalHistory.setId(list.get(i).getId());
                    adminMedicalHistory.setSubmitterName(storeMember1.getName());
                }

                adminMedicalHistoryService.updateById(adminMedicalHistory);
            }
        } catch (Exception e) {
            System.err.println("错误");
        }
    }

    @GetMapping(value = "/b")
    public void b() {
        try {
            QueryWrapper<AdminTopic> queryWrapper = new QueryWrapper<>();
            queryWrapper.isNull("phone");
            List<AdminTopic> list = adminTopicService.list(queryWrapper);
            int a = list.size();
            System.err.println(a);
            for (int i = 0; i < a; i++) {
                System.err.println("i=" + i);
                QueryWrapper<AdminUser> queryWrapper2 = new QueryWrapper<>();

                queryWrapper2.eq("name", list.get(i).getUsername());
                queryWrapper2.eq("doctor_and_specialist", "1");

                List<AdminUser> list1 = adminUserService.list(queryWrapper2);
                if (list1.size() == 1) {
                    AdminTopic adminTopic = new AdminTopic();
                    adminTopic.setId(list.get(i).getId());
                    adminTopic.setPhone(list1.get(0).getPhone());
                    adminTopicService.updateById(adminTopic);
                }
            }
        } catch (Exception e) {
            System.err.println("错误");
        }
    }

    @ApiOperation(value = "上传附件和图片到OSS", notes = "上传附件和图片到OSS")
    @PostMapping(value = "/uploadLocality")
    public Result<String> uploadLocality(MultipartFile file) {
        Result<String> result = new Result<String>();
        try {
            String bizPath = "jeditor";
            String url = OssBootUtil.upload(file, bizPath);

            result.setMessage("上传图片成功");
            result.setResult(url);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("上传图片失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "上传附件和图片到OSS(小程序用)", notes = "上传附件和图片到OSS(小程序用)")
    @PostMapping(value = "/uploadLocality2/{fileName}")
    public Result<String> uploadLocality2(MultipartFile file, @PathVariable String fileName) {
        Result<String> result = new Result<String>();
        try {
            String bizPath = "jeditor";
            String url = OssBootUtil.upload2(file, bizPath, fileName);

            result.setMessage("上传图片成功");
            result.setResult(url);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("上传图片失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "获取系统配置", notes = "获取系统配置")
    @PostMapping(value = "/configInfo")
    public Result<AdminPlatform> configInfo(@RequestHeader("Authorization") String Authorization) {
        Result<AdminPlatform> result = new Result<AdminPlatform>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {
            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            QueryWrapper<AdminPlatform> queryWrapper2 = new QueryWrapper<>();
            queryWrapper2.eq("phone", userPhone);
            List<AdminPlatform> list = adminPlatformService.listByOrgCode(storeMember1.getSysOrgCode());
            if (null != list && list.size() > 0) {
                result.setResult(list.get(0));
            } else {
                result.setResult(null);
            }
            result.setMessage("获取系统配置成功");
            result.setCode(200);
            return result;

        } catch (Exception e) {
            result.setMessage("获取系统配置失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }


    }


    @ApiOperation(value = "发送短信", notes = "发送短信，event参数 forgetpwd：忘记密码")
    @PostMapping(value = "/smsSend")
    public Result<String> smsSend(@RequestBody SmsSendDTO smsSendDTO) {

        Result<String> result = new Result<String>();
        if (smsSendDTO.getPhone().equals("")) {
            result.setMessage("手机号不能为空");
            return result;
        }
        if (smsSendDTO.getEvent().equals("")) {
            result.setMessage("event参数不能为空");
            return result;
        }

        try {
            int num = (int) ((Math.random() * 9 + 1) * 100000);
            String code = String.valueOf(num);
//             code = "123456";


            com.aliyun.dysmsapi20170525.Client client = createClient("LTAI5tD17r71nA9bfKtzcayJ", "EblO65wHRfmOtl3GrAeBbAu8i05H8O");
            com.aliyun.dysmsapi20170525.models.SendSmsRequest sendSmsRequest = new com.aliyun.dysmsapi20170525.models.SendSmsRequest()
                    .setSignName("SH数字化营销")
                    .setPhoneNumbers(smsSendDTO.getPhone())
                    .setTemplateCode("SMS_462030377")
                    .setTemplateParam("{\"code\":\"" + code + "\"}");
            com.aliyun.teautil.models.RuntimeOptions runtime = new com.aliyun.teautil.models.RuntimeOptions();
//            com.aliyun.dysmsapi20170525.Client client = createClient("LTAI5tD17r71nA9bfKtzcayJ", "EblO65wHRfmOtl3GrAeBbAu8i05H8O");
//            SendSmsRequest sendSmsRequest = new SendSmsRequest()
//                    .setSignName("美纳市界")
//                    .setTemplateCode("SMS_266705205")
//                    .setPhoneNumbers(smsSendDTO.getPhone())
//                    .setTemplateParam("{\"code\":\""+code+"\"}");
//            RuntimeOptions runtime = new RuntimeOptions();
            // 复制代码运行请自行打印 API 的返回值
            client.sendSmsWithOptions(sendSmsRequest, runtime);
            //放入缓存
            redisUtil.set(smsSendDTO.getPhone() + smsSendDTO.getEvent() + "PhoneCode", code, 600);


            result.setMessage("发送成功");
            result.setCode(200);
            result.setResult(code);
            return result;
        } catch (TeaException error) {
            // 如有需要，请打印 error
            com.aliyun.teautil.Common.assertAsString(error.message);
            result.setMessage("发送请求错误");
            return result;
        } catch (Exception _error) {
            TeaException error = new TeaException(_error.getMessage(), _error);
            // 如有需要，请打印 error
            com.aliyun.teautil.Common.assertAsString(error.message);
            result.setMessage("发送请求错误");
            return result;
        }
    }

    /**
     * 使用AK&SK初始化账号Client
     *
     * @param accessKeyId
     * @param accessKeySecret
     * @return Client
     * @throws Exception
     */
    public static com.aliyun.dysmsapi20170525.Client createClient(String accessKeyId, String accessKeySecret) throws Exception {
        com.aliyun.teaopenapi.models.Config config = new com.aliyun.teaopenapi.models.Config()
                // 必填，您的 AccessKey ID
                .setAccessKeyId(accessKeyId)
                // 必填，您的 AccessKey Secret
                .setAccessKeySecret(accessKeySecret);
        // 访问的域名
        config.endpoint = "dysmsapi.aliyuncs.com";
        return new com.aliyun.dysmsapi20170525.Client(config);
    }
//    public static com.aliyun.dysmsapi20170525.Client createClient(String accessKeyId, String accessKeySecret) throws Exception {
//        com.aliyun.teaopenapi.models.Config config = new com.aliyun.teaopenapi.models.Config()
//                // 您的 AccessKey ID
//                .setAccessKeyId(accessKeyId)
//                // 您的 AccessKey Secret
//                .setAccessKeySecret(accessKeySecret);
//        // 访问的域名
//        config.endpoint = "dysmsapi.ap-southeast-1.aliyuncs.com";
//        return new com.aliyun.dysmsapi20170525.Client(config);
//    }

    @ApiOperation(value = "用户登录", notes = "用户登录")
    @PostMapping(value = "/passwordLogin")
    public Result<JSONObject> passwordLogin(@RequestBody UserDTO UserDTO) {
        Result<JSONObject> result = new Result<JSONObject>();
        JSONObject obj = new JSONObject();
        if (UserDTO.getPhone().equals("")) {
            result.setMessage("手机号不能为空");
            return result;
        }
        if (UserDTO.getPassword().equals("")) {
            result.setMessage("密码不能为空");
            return result;
        }
        //1. 校验用户是否有效
        //update-begin-author:wangshuai date:20200601 for: 登录代码验证用户是否注销bug，if条件永远为false
        QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone", UserDTO.getPhone());
        AdminUser storeMember = adminUserService.getOne(queryWrapper);


        if (storeMember == null) {
            result.setMessage("该用户不存在");
            baseCommonService.addLog("用户登录失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
            return result;
        }
        //2. 校验用户名或密码是否正确
        String userpassword = PasswordUtil.encrypt(UserDTO.getPhone(), UserDTO.getPassword(), storeMember.getSalt());
        String syspassword = storeMember.getPassword();
        if (!syspassword.equals(userpassword)) {
            result.setMessage("用户名或密码错误");
            return result;
        }
        log.info("手机号：" + UserDTO.getPhone() + "登录成功===========");
        //生成token================
        String token = JwtUtil.sign(storeMember.getPhone(), storeMember.getPassword());
//       // 设置token缓存有效时间
        redisUtil.set(CommonConstant.PREFIX_NFT_USER_TOKEN + UserDTO.getPhone(), token);
        redisUtil.expire(CommonConstant.PREFIX_NFT_USER_TOKEN + UserDTO.getPhone(), 60 * 60 * 24);
//       redisUtil.expire(CommonConstant.PREFIX_NFT_USER_TOKEN + token, 60);
        result.setMessage("登录成功");
        obj.put("token", token);
        result.setResult(obj);
        result.setCode(200);

        return result;
    }


    @ApiOperation(value = "忘记密码", notes = "忘记密码")
    @PostMapping(value = "/ForgetPassword")
    public Result<JSONObject> ForgetPassword(@RequestBody ForgetThePasswordDTO forgetThePasswordDTO) {
        Result<JSONObject> result = new Result<JSONObject>();
        JSONObject obj = new JSONObject();
        if (forgetThePasswordDTO.getPhone().equals("")) {
            result.setMessage("手机号不能为空");
            return result;
        }
        if (forgetThePasswordDTO.getVer_code().equals("")) {
            result.setMessage("验证码不能为空");
            return result;
        }
        if (forgetThePasswordDTO.getPassword().equals("")) {
            result.setMessage("密码不能为空");
            return result;
        }
        if (forgetThePasswordDTO.getConfirm_password().equals("")) {
            result.setMessage("确认密码不能为空");
            return result;
        }
        if (!forgetThePasswordDTO.getPassword().equals(forgetThePasswordDTO.getConfirm_password())) {
            result.setMessage("确认密码和密码不一致");
            return result;
        }
        //1. 校验用户是否有效
        AdminUser u = adminUserService.getOne(new QueryWrapper<AdminUser>().eq("phone",
                forgetThePasswordDTO.getPhone()));
        if (u == null) {
            result.setMessage("该用户不存在，请注册");
            baseCommonService.addLog("用户登录失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
            return result;
        }
        //校验验证码
        if (redisUtil.hasKey(forgetThePasswordDTO.getPhone() + "forgetpwdPhoneCode")) {
            String code = String.valueOf(redisUtil.get(forgetThePasswordDTO.getPhone() + "forgetpwdPhoneCode"));
            if (!forgetThePasswordDTO.getVer_code().equals(code)) {
                result.setMessage("手机验证码不对");
                return result;
            }
        }
        if (!redisUtil.hasKey(forgetThePasswordDTO.getPhone() + "forgetpwdPhoneCode")) {
            result.setMessage("手机验证码过期");
            return result;
        }

        redisUtil.del(forgetThePasswordDTO.getPhone() + "forgetpwdPhoneCode");
        AdminUser adminUser = new AdminUser();
        adminUser.setId(u.getId());
        String salt = oConvertUtils.randomGen(8);
        adminUser.setSalt(salt);
        String passwordEncode = PasswordUtil.encrypt(forgetThePasswordDTO.getPhone(), forgetThePasswordDTO.getPassword(), salt);
        adminUser.setPassword(passwordEncode);
        adminUserService.updateById(adminUser);

        log.info("手机号：" + forgetThePasswordDTO.getPhone() + "修改密码成功===========");

        //生成token================
        String token = JwtUtil.sign(forgetThePasswordDTO.getPhone(), adminUser.getPassword());
//       // 设置token缓存有效时间
        redisUtil.set(CommonConstant.PREFIX_NFT_USER_TOKEN + forgetThePasswordDTO.getPhone(), token);
        redisUtil.expire(CommonConstant.PREFIX_NFT_USER_TOKEN + forgetThePasswordDTO.getPhone(), 60 * 60 * 24);
        obj.put("token", token);

        result.setResult(obj);
        result.setMessage("修改密码成功");
        result.setCode(200);

        log.info("手机号：" + forgetThePasswordDTO.getPhone() + "登录成功===========");

        return result;
    }

    @ApiOperation(value = "获取个人信息", notes = "获取个人信息")
    @PostMapping(value = "/getUserInfo")
    public Result<AdminUser> getUserInfo(@RequestHeader("Authorization") String Authorization) {
        Result<AdminUser> result = new Result<AdminUser>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {


            //1. 校验用户是否有效
            //update-begin-author:wangshuai date:20200601 for: 登录代码验证用户是否注销bug，if条件永远为false
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            String phone = storeMember1.getPhone();
            String sysOrgCode = storeMember1.getSysOrgCode();
            QueryWrapper<AdminCompSelect> adminCompSelectQueryWrapper = new QueryWrapper<>();
            adminCompSelectQueryWrapper.eq("phone",phone);
            adminCompSelectQueryWrapper.eq("sys_org_code",sysOrgCode);
            AdminCompSelect one = adminCompSelectService.getOne(adminCompSelectQueryWrapper);
            if (null!=one){
                storeMember1.setYzh(one.getYzh());
                storeMember1.setCompleteInformation(one.getCompleteInformation());
                storeMember1.setName(one.getName());
                storeMember1.setKsname(one.getKsName());
                storeMember1.setDwname(one.getDwName());
                storeMember1.setCard(one.getCard());
                storeMember1.setDoctorAndSpecialist(one.getDoctorAndSpecialist());
            }

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }

            result.setMessage("获取个人信息成功");
            result.setResult(storeMember1);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取个人信息失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "获取上传分类", notes = "获取上传分类")
    @PostMapping(value = "/getUploadingName")
    public Result<List<AdminUploadingName>> getUploadingName(@RequestHeader("Authorization") String Authorization) {
        Result<List<AdminUploadingName>> result = new Result<List<AdminUploadingName>>();

        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }

        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            List<AdminUploadingName> list = adminUploadingNameService.selectAll(storeMember1.getSysOrgCode());

            result.setMessage("获取上传分类成功");
            result.setResult(list);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取上传分类失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }

    }

    @ApiOperation(value = "获取病历分类", notes = "获取病历分类")
    @PostMapping(value = "/getCaseName")
    public Result<List<AdminCaseName>> getCaseName() {
        Result<List<AdminCaseName>> result = new Result<List<AdminCaseName>>();

        try {

            List<AdminCaseName> list = adminCaseNameService.list();

            result.setMessage("获取病历分类成功");
            result.setResult(list);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取病历分类失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "完善个人信息", notes = "完善个人信息")
    @PostMapping(value = "/completeInformation")
    public Result<Boolean> completeInformation(@RequestHeader("Authorization") String Authorization,
                                               @RequestBody AdminUser adminUser) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            adminUser.setId(storeMember1.getId());
            adminUserService.updateById(adminUser);

            result.setMessage("完善个人信息成功");
            result.setResult(true);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("完善个人信息失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "病例上传", notes = "病例上传")
    @PostMapping(value = "/patientQuide")
    public Result<Boolean> patientQuide(@RequestHeader("Authorization") String Authorization,
                                        @RequestBody AdminMedicalHistory adminMedicalHistory) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            adminMedicalHistory.setPhone(userPhone);
            adminMedicalHistory.setSubmitterName(storeMember1.getName());
            //初始化状态数据
            adminMedicalHistory.setIsSecondaryUpload("3");
            adminMedicalHistory.setFirstTrial("0");
            adminMedicalHistory.setSecondaryUpload("1");
            adminMedicalHistory.setType("0");
            adminMedicalHistory.setAllocation("1");
            adminMedicalHistory.setSysOrgCode(storeMember1.getSysOrgCode());

            //复制一份上传的图片  给上传者看
            adminMedicalHistory.setPicTwo(adminMedicalHistory.getPic());
            adminMedicalHistoryService.save(adminMedicalHistory);

            result.setMessage("病例上传成功");
            result.setResult(true);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("病例上传失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }


    @ApiOperation(value = "病例编辑", notes = "病例编辑")
    @PostMapping(value = "/patientQuideEdit")
    public Result<String> patientQuideEdit(@RequestBody AdminMedicalHistory adminMedicalHistory) {
        if (adminMedicalHistory.getType() != null) {
            adminMedicalHistory.setZjspTime(new Date());
        }
        adminMedicalHistoryService.updateById(adminMedicalHistory);
        return Result.OK("编辑成功!");
    }

    @ApiOperation(value = "病例上传记录列表", notes = "病例上传")
    @PostMapping(value = "/patientQuideByPhongList")
    public Result<List<AdminMedicalHistory>> patientQuideByPhongList(@RequestHeader("Authorization") String
                                                                             Authorization) {
        Result<List<AdminMedicalHistory>> result = new Result<List<AdminMedicalHistory>>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {
            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);
//            QueryWrapper<AdminCompSelect> adminCompSelectQueryWrapper = new QueryWrapper<>();
//            adminCompSelectQueryWrapper.eq("phone",userPhone);
//            adminCompSelectQueryWrapper.eq("sys_org_code",storeMember1.getSysOrgCode());
//            AdminCompSelect one = adminCompSelectService.getOne(adminCompSelectQueryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            QueryWrapper<AdminMedicalHistory> queryWrapper2 = new QueryWrapper<>();
            queryWrapper2.eq("phone", userPhone);
            queryWrapper2.eq("sys_org_code", storeMember1.getSysOrgCode());
            queryWrapper2.orderByDesc("create_time");
            List<AdminMedicalHistory> list = adminMedicalHistoryService.list(queryWrapper2);

            result.setMessage("获取病例上传记录列表成功");
            result.setResult(list);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取病例上传记录列表失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "专家账号病例列表", notes = "专家账号病例列表")
    @PostMapping(value = "/patientListZj")
    public Result<List<AdminMedicalHistory>> patientListZj(@RequestHeader("Authorization") String Authorization) {
        Result<List<AdminMedicalHistory>> result = new Result<List<AdminMedicalHistory>>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            QueryWrapper<AdminMedicalHistory> queryWrapper2 = new QueryWrapper<>();
//            queryWrapper2.eq("allocation_zjphone",userPhone)
//                    .eq( "secondary_upload","2" )
//            .or()
//                    .eq( "allocation_zjphone",userPhone )
//                    .eq( "is_secondary_upload","3" );

            queryWrapper2.eq("allocation_zjphone", userPhone);
            queryWrapper2.eq("allocation", "2");
            queryWrapper2.eq("sys_org_code", storeMember1.getSysOrgCode());
            List<AdminMedicalHistory> list = adminMedicalHistoryService.list(queryWrapper2);

            result.setMessage("获取专家账号病例列表成功");
            result.setResult(list);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取专家账号病例列表失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "病例审核", notes = "病例审核")
    @PostMapping(value = "/patientGuide")
    public Result<Boolean> patientGuide(@RequestHeader("Authorization") String Authorization,
                                        @RequestBody AdminMedicalHistory adminMedicalHistory) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }

            if (adminMedicalHistory.getId() == null) {
                result.setMessage("token不能为空");
                return result;
            }
            adminMedicalHistoryService.updateById(adminMedicalHistory);

            result.setMessage("病例审核成功");
            result.setResult(true);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("病例审核失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }


    @ApiOperation(value = "问卷调查", notes = "问卷调查")
    @PostMapping(value = "/topicAdd")
    public Result<Boolean> topicAdd(@RequestHeader("Authorization") String Authorization,
                                    @RequestBody AdminTopic adminTopic) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            adminTopic.setUsername(storeMember1.getName());
            adminTopicService.save(adminTopic);
            result.setMessage("问卷调查提交成功");
            result.setResult(true);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("问卷调查提交失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "问卷提交记录", notes = "问卷提交记录")
    @PostMapping(value = "/noteAdd")
    public Result<Boolean> noteAdd(@RequestHeader("Authorization") String Authorization,
                                   @RequestBody QuesSubNotePage quesSubNotePage) {
        Result<Boolean> result = new Result<Boolean>();
//        if (Authorization.equals("")) {
//            result.setMessage("token不能为空");
//            return result;
//        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            String id = quesSubNotePage.getId();
            String doctorCode = quesSubNotePage.getDoctorCode();
            QuesManage quesManage = quesManageService.getById(id);


            QuesSubNote quesSubNote = new QuesSubNote();
            quesSubNote.setId(UUID.randomUUID().toString().replace("-", ""));
            quesSubNote.setDoctorName(storeMember1.getName());
            quesSubNote.setDoctorCode(doctorCode);
            quesSubNote.setQuesName(quesManage.getQuesName());
            quesSubNote.setSysOrgCode(storeMember1.getSysOrgCode());

            //BeanUtils.copyProperties(quesSubNotePage, quesSubNote);

            List<QuesSubNodeMessage> quesSubNodeMessageList = quesSubNotePage.getQuesSubNodeMessageList();
            quesSubNoteService.saveMain(quesSubNote, quesSubNodeMessageList);

            result.setMessage("问卷调查提交成功");
            result.setResult(true);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("问卷调查提交失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }


    @ApiOperation(value = "问卷查看", notes = "问卷查看")
    @PostMapping(value = "/quesMessage")
    public Result<?> quesMessage(@RequestHeader("Authorization") String Authorization,
                                 HttpServletRequest req,
                                 @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                                 @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }

            QueryWrapper<QuesManage> quesManageQueryWrapper = QueryGenerator.initQueryWrapper(new QuesManage(), req.getParameterMap());
            //查看启用问卷
            quesManageQueryWrapper.eq("is_disable", "1");
            //查看本公司问卷
            quesManageQueryWrapper.eq("sys_org_code", storeMember1.getSysOrgCode());
            Page<QuesManage> page = new Page<QuesManage>(pageNo, pageSize);
            IPage<QuesManage> pageList = quesManageService.page(page, quesManageQueryWrapper);
            return Result.OK(pageList);
        } catch (Exception e) {
            return result.error("查询失败");
        }
    }


    @ApiOperation(value = "问卷详情", notes = "问卷详情")
    @GetMapping(value = "/quesInfo")
    public Result<?> quesInfo(@RequestHeader("Authorization") String Authorization,
                              @RequestParam(name = "id", required = true) String id) {
        Result<Boolean> result = new Result<Boolean>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            List<QuesManageDetail> quesManageDetailList = quesManageDetailService.selectByMainId(id);
            return Result.OK(quesManageDetailList);
        } catch (Exception e) {
            return result.error("查询失败");
        }
    }


    @ApiOperation(value = "获取个人问卷调查次数", notes = "获取个人问卷调查次数")
    @PostMapping(value = "/getTopicNum")
    public Result<Integer> getTopicNum(@RequestHeader("Authorization") String Authorization) {
        Result<Integer> result = new Result<Integer>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            //1. 校验用户是否有效
            //update-begin-author:wangshuai date:20200601 for: 登录代码验证用户是否注销bug，if条件永远为false
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }

            QueryWrapper<AdminTopic> queryWrapper2 = new QueryWrapper<>();
            queryWrapper2.eq("username", storeMember1.getName());
            queryWrapper2.eq("phone", storeMember1.getPhone());

            List<AdminTopic> list = adminTopicService.listNum2(storeMember1.getPhone());

            result.setMessage("获取个人问卷调查次数成功");
            result.setResult(list.size());
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取个人问卷调查次数失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "获取隐私政策", notes = "获取隐私政策")
    @PostMapping(value = "/getPrivacy")
    public Result<AdminPrivacy> getPrivacy() {
        Result<AdminPrivacy> result = new Result<AdminPrivacy>();
        try {

            List<AdminPrivacy> list = adminPrivacyService.list();
            return Result.OK(list.get(0));

//            result.setMessage("获取隐私政策成功");
//            result.setResult(list.get(0));
//            result.setCode(200);
//            return result;
        } catch (Exception e) {
            return Result.error("请求失败");
        }

    }

    @ApiOperation(value = "获取登录人公司", notes = "获取登录人公司")
    @GetMapping(value = "getCompName")
    public Result<?> getCompName(@RequestHeader("Authorization") String Authorization,
                                 @RequestParam(name = "type", required = true) String type
    ) {

        Result<List<AdminCompSelect>> result = new Result<>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {
            QueryWrapper<AdminCompSelect> queryWrapper1 = new QueryWrapper<>();
            queryWrapper1.eq("phone", userPhone);
            queryWrapper1.eq("doctor_and_specialist", type);
            List<AdminCompSelect> list = adminCompSelectService.list(queryWrapper1);
            result.setMessage("获取用户公司信息成功");
            result.setResult(list);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("获取用户公司信息失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "勾选个人公司", notes = "勾选个人公司")
    @GetMapping(value = "setCompNameTrue")
    public Result<?> setCompNameTrue(@RequestParam(name = "id", required = true) String id,
                                     @RequestHeader("Authorization") String Authorization) {

        Result<List<AdminUser>> result = new Result<>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {

            QueryWrapper<AdminCompSelect> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("id", id);
            AdminCompSelect adminCompSelect = adminCompSelectService.getOne(queryWrapper);
            String orderId = adminCompSelect.getOrderId();
            AdminUser adminUser = adminUserService.getById(orderId);
            adminUser.setSysOrgCode(adminCompSelect.getSysOrgCode());
            adminUser.setCompName(adminCompSelect.getCompName());
            adminUserService.updateById(adminUser);
            result.setMessage("操作成功");
            result.setResult(null);
            result.setCode(200);
            return result;
        } catch (Exception e) {
            result.setMessage("操作失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }

    @ApiOperation(value = "获取签约协议", notes = "获取签约协议")
    @GetMapping(value = "getUserAgreement")
    public Result<?> getUserAgreement() {
        return adminUserService.getUserAgreement();
    }

    @ApiOperation(value = "签署协议", notes = "签署协议")
    @GetMapping(value = "agreeUserAgreement")
    public Result<?> agreeUserAgreement(@RequestHeader("Authorization") String Authorization) {

        Result<?> result = new Result<>();
        if (Authorization.equals("")) {
            result.setMessage("token不能为空");
            return result;
        }

        String userPhone = JwtUtil.getUsername(Authorization);

        //校验token==================
        if (!redisUtil.hasKey(CommonConstant.PREFIX_NFT_USER_TOKEN + userPhone)) {
            result.setMessage("TOKEN失效");
            result.setCode(201);
            return result;
        }
        try {
            //1. 校验用户是否有效
            //update-begin-author:wangshuai date:20200601 for: 登录代码验证用户是否注销bug，if条件永远为false
            QueryWrapper<AdminUser> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("phone", userPhone);
            AdminUser storeMember1 = adminUserService.getOne(queryWrapper);
            String sysOrgCode = storeMember1.getSysOrgCode();
            QueryWrapper<AdminCompSelect> adminCompSelectQueryWrapper = new QueryWrapper<>();

            adminCompSelectQueryWrapper.eq("phone",userPhone);
            adminCompSelectQueryWrapper.eq("sys_org_code",sysOrgCode);
            AdminCompSelect one = adminCompSelectService.getOne(adminCompSelectQueryWrapper);

            if (storeMember1 == null) {
                result.setMessage("token校验该用户不存在");
                baseCommonService.addLog("用户校验失败，用户不存在！", CommonConstant.LOG_TYPE_1, null);
                return result;
            }
            return adminUserService.agreeUserAgreement(one.getCardholderName(), one.getCard());
        } catch (Exception e) {
            result.setMessage("请求失败");
            result.setResult(null);
            result.setCode(0);
            return result;
        }
    }


    @ApiOperation(value = "四要素验证（下发验证码）", notes = "四要素验证（下发验证码）")
    @PostMapping(value = "perfectInformation")
    public Result<?> perfectInformation(@RequestHeader("Authorization") String Authorization,
                                        @RequestBody AdminUserVO adminUser) {
        return adminUserService.perfectInformation(adminUser, "");
    }

    @ApiOperation(value = "完善个人信息", notes = "完善个人信息")
    @PostMapping(value = "perfectInformationUpload")
    public Result<?> perfectInformationUpload(@RequestHeader("Authorization") String Authorization,
                                              @RequestBody AdminUserVO adminUser) {
        return adminUserService.perfectInformationUpload(adminUser, Authorization);
    }

    @ApiOperation(value = "获取用户签约状态", notes = "获取用户签约状态")
    @GetMapping(value = "getApiUserSignStatus")
    public Result<?> getApiUserSignStatus(@RequestHeader("Authorization") String Authorization) {
        return adminUserService.getApiUserSignStatus(Authorization);
    }

    @ApiOperation(value = "小程序转账列表", notes = "小程序转账列表")
    @GetMapping(value = "transList")
    public Result<?> transList(@RequestHeader("Authorization") String Authorization,
                               @RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                               @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize,
                               HttpServletRequest req) {

        return adminTransferAccountsService.transList(Authorization, pageNo, pageSize, req);

    }
}

