package org.jeecg.modules.pay.sdk.uploadusersign;

import com.google.gson.reflect.TypeToken;
import org.jeecg.modules.pay.sdk.YzhException;
import org.jeecg.modules.pay.sdk.base.YzhClient;
import org.jeecg.modules.pay.sdk.base.YzhConfig;
import org.jeecg.modules.pay.sdk.base.YzhRequest;
import org.jeecg.modules.pay.sdk.base.YzhResponse;
import org.jeecg.modules.pay.sdk.uploadusersign.domain.GetUploadUserSignStatusRequest;
import org.jeecg.modules.pay.sdk.uploadusersign.domain.GetUploadUserSignStatusResponse;
import org.jeecg.modules.pay.sdk.uploadusersign.domain.UploadUserSignRequest;
import org.jeecg.modules.pay.sdk.uploadusersign.domain.UploadUserSignResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class UploadUserSignServiceClient extends YzhClient {

    private static final Logger LOGGER = LoggerFactory.getLogger(UploadUserSignServiceClient.class);

    public UploadUserSignServiceClient(YzhConfig yzhConfig) {
        super(yzhConfig);
    }

    // 用户签约信息上传
    public YzhResponse<UploadUserSignResponse> uploadUserSign(YzhRequest<UploadUserSignRequest> req) throws YzhException {
        try {
            return post(req, "/api/payment/v1/sign/user", new TypeToken<YzhResponse<UploadUserSignResponse>>(){});
        } catch (Exception e){
            LOGGER.error("request: {}, errorMsg: {}", req, e.getMessage(), e);
            throw new YzhException("msg", e);
        }
    }

    // 获取用户签约状态
    public YzhResponse<GetUploadUserSignStatusResponse> getUploadUserSignStatus(YzhRequest<GetUploadUserSignStatusRequest> req) throws YzhException {
        try {
            return get(req, "/api/payment/v1/sign/user/status", false, new TypeToken<YzhResponse<GetUploadUserSignStatusResponse>>(){});
        } catch (Exception e){
            LOGGER.error("request: {}, errorMsg: {}", req, e.getMessage(), e);
            throw new YzhException("msg", e);
        }
    }
}
