package org.jeecg.modules.quesmanage.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 问卷题库管理
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Data
@TableName("ques_exam_manage")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ques_exam_manage对象", description="问卷题库管理")
public class QuesExamManage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**题目名称*/
	@Excel(name = "题目名称", width = 15)
    @ApiModelProperty(value = "题目名称")
    private String examName;
	/**题目答案*/
	@Excel(name = "题目答案A", width = 15)
    @ApiModelProperty(value = "题目答案A")
    private String examAnswerA;
    /**题目答案*/
    @Excel(name = "题目答案B", width = 15)
    @ApiModelProperty(value = "题目答案B")
    private String examAnswerB;
    /**题目答案*/
    @Excel(name = "题目答案C", width = 15)
    @ApiModelProperty(value = "题目答案C")
    private String examAnswerC;
    /**题目答案*/
    @Excel(name = "题目答案D", width = 15)
    @ApiModelProperty(value = "题目答案D")
    private String examAnswerD;
    /**题目答案*/
    @Excel(name = "题目答案E", width = 15)
    @ApiModelProperty(value = "题目答案E")
    private String examAnswerE;
    /**题目答案*/
    @Excel(name = "题目答案F", width = 15)
    @ApiModelProperty(value = "题目答案F")
    private String examAnswerF;
    /**题目答案*/
    @Excel(name = "题目答案G", width = 15)
    @ApiModelProperty(value = "题目答案G")
    private String examAnswerG;

    /**题目类型*/
	@Excel(name = "题目类型", width = 15)
    @ApiModelProperty(value = "题目类型")
    @Dict(dicCode = "ques_type")
    private String examType;
    /**问卷id*/
    @Excel(name = "问卷id", width = 15)
    @ApiModelProperty(value = "问卷id")
    private String orderId;
    /**排序id*/
    private Integer sort;


}
