package org.jeecg.modules.quesmanage.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 问卷管理
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@ApiModel(value="ques_manage对象", description="问卷管理")
@Data
@TableName("ques_manage")
public class QuesManage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**调研名称*/
	@Excel(name = "调研名称", width = 15)
    @ApiModelProperty(value = "调研名称")
    private String quesName;
	/**调研描述*/
	@Excel(name = "调研描述", width = 15)
    @ApiModelProperty(value = "调研描述")
    private String quesMessage;
	/**是否禁用*/
	@Excel(name = "是否禁用", width = 15)
    @ApiModelProperty(value = "是否禁用")
    @Dict(dicCode = "is_disable")
    private String isDisable;
    /**是否禁用相反判断*/
    @Excel(name = "是否禁用相反判断", width = 15)
    @ApiModelProperty(value = "是否禁用相反判断")
    @Dict(dicCode = "is_disable")
    private String disable;
	/**是否上线*/
	@Excel(name = "是否上线", width = 15)
    @ApiModelProperty(value = "是否上线")
    private String isUp;
}
