package org.jeecg.modules.quesmanage.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 问卷管理详情
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@ApiModel(value="ques_manage_detail对象", description="问卷管理详情")
@Data
@TableName("ques_manage_detail")
public class QuesManageDetail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**问题名称*/
	@Excel(name = "问题名称", width = 15)
    @ApiModelProperty(value = "问题名称")
    private String quesName;
    /**问题名称*/
    @Excel(name = "问题答案A", width = 15)
    @ApiModelProperty(value = "问题答案A")
    private String answerA;
    /**问题名称*/
    @Excel(name = "问题答案B", width = 15)
    @ApiModelProperty(value = "问题答案B")
    private String answerB;
    /**问题名称*/
    @Excel(name = "问题答案C", width = 15)
    @ApiModelProperty(value = "问题答案C")
    private String answerC;
    /**问题名称*/
    @Excel(name = "问题答案D", width = 15)
    @ApiModelProperty(value = "问题答案D")
    private String answerD;
    /**问题名称*/
    @Excel(name = "问题答案E", width = 15)
    @ApiModelProperty(value = "问题答案E")
    private String answerE;
    /**问题名称*/
    @Excel(name = "问题答案F", width = 15)
    @ApiModelProperty(value = "问题答案F")
    private String answerF;
    /**问题名称*/
    @Excel(name = "问题答案G", width = 15)
    @ApiModelProperty(value = "问题答案G")
    private String answerG;
	/**问题类型*/
	@Excel(name = "问题类型", width = 15)
    @ApiModelProperty(value = "问题类型")
    private String quesType;
	/**外键*/
    @ApiModelProperty(value = "外键")
    private String orderId;
    /**外键*/
    @ApiModelProperty(value = "外键")
    private int sortId;
}
