package org.jeecg.modules.quesmanage.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import org.jeecg.modules.quesmanage.entity.QuesManage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 问卷管理
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
public interface IQuesManageService extends IService<QuesManage> {

	/**
	 * 添加一对多
	 * 
	 */
	public void saveMain(QuesManage quesManage,List<QuesManageDetail> quesManageDetailList) ;
	
	/**
	 * 修改一对多
	 * 
	 */
	public void updateMain(QuesManage quesManage,List<QuesManageDetail> quesManageDetailList);
	
	/**
	 * 删除一对多
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	/**
	 * 问卷导入
	 * @param request
	 * @param file
	 * @return
	 */
    Result importExcel(HttpServletRequest request, MultipartFile file)throws IOException;
}
