package org.jeecg.modules.quesmanage.service.impl;

import org.checkerframework.checker.units.qual.A;
import org.jeecg.modules.quesmanage.entity.QuesExamManage;
import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import org.jeecg.modules.quesmanage.mapper.QuesExamManageMapper;
import org.jeecg.modules.quesmanage.mapper.QuesManageDetailMapper;
import org.jeecg.modules.quesmanage.service.IQuesExamManageService;
import org.jeecg.modules.quesmanage.service.IQuesManageDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Description: 问卷题库管理
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Service
public class QuesExamManageServiceImpl extends ServiceImpl<QuesExamManageMapper, QuesExamManage> implements IQuesExamManageService {


    @Autowired
    private QuesManageDetailMapper quesManageDetailMapper;
    @Autowired
    private QuesExamManageMapper quesExamManageMapper;

    /**
     * 更新题库同步至问卷
     * @param quesExamManage
     */
    @Override
    @Transactional
    public void updateMessage(QuesExamManage quesExamManage) {

        String examName = quesExamManage.getExamName();
        String examAnswerA = quesExamManage.getExamAnswerA();
        String examAnswerB = quesExamManage.getExamAnswerB();
        String examAnswerC = quesExamManage.getExamAnswerC();
        String examAnswerD = quesExamManage.getExamAnswerD();
        String examAnswerE = quesExamManage.getExamAnswerE();
        String examAnswerF = quesExamManage.getExamAnswerF();
        String examAnswerG = quesExamManage.getExamAnswerG();
        String examType = quesExamManage.getExamType();
        String orderId = quesExamManage.getOrderId();
        List<QuesManageDetail> quesManageDetails = quesManageDetailMapper.getById(orderId);
        for (QuesManageDetail quesManageDetail:quesManageDetails){
            quesManageDetail.setQuesName(examName);
            quesManageDetail.setAnswerA(examAnswerA);
            quesManageDetail.setAnswerB(examAnswerB);
            quesManageDetail.setAnswerC(examAnswerC);
            quesManageDetail.setAnswerD(examAnswerD);
            quesManageDetail.setAnswerE(examAnswerE);
            quesManageDetail.setAnswerF(examAnswerF);
            quesManageDetail.setAnswerG(examAnswerG);
            quesManageDetail.setQuesType(examType);
            quesManageDetailMapper.updateById(quesManageDetail);
        }
        quesExamManageMapper.updateById(quesExamManage);
    }
}
