package org.jeecg.modules.quesmanage.vo;

import java.util.List;
import org.jeecg.modules.quesmanage.entity.QuesManage;
import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelEntity;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 问卷管理
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Data
@ApiModel(value="ques_managePage对象", description="问卷管理")
public class QuesManagePage {

	/**主键*/
	@ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
	@ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**调研名称*/
	@Excel(name = "调研名称", width = 15)
	@ApiModelProperty(value = "调研名称")
    private String quesName;
	/**调研描述*/
	@Excel(name = "调研描述", width = 15)
	@ApiModelProperty(value = "调研描述")
    private String quesMessage;
	/**是否禁用*/
	@Excel(name = "是否禁用", width = 15)
	@ApiModelProperty(value = "是否禁用")
    private String isDisable;
	/**是否禁用*/
	@Excel(name = "禁用标识", width = 15)
	@ApiModelProperty(value = "禁用标识")
	private String disable;
	/**是否上线*/
	@Excel(name = "是否上线", width = 15)
	@ApiModelProperty(value = "是否上线")
    private String isUp;

	@ExcelCollection(name="问卷管理详情")
	@ApiModelProperty(value = "问卷管理详情")
	private List<QuesManageDetail> quesManageDetailList;

}
