package org.jeecg.modules.quesmanage.vo;

import java.util.List;

import org.jeecg.modules.quesmanage.entity.QuesSubNodeMessage;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 提交记录列表
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Data
@ApiModel(value="ques_sub_notePage对象", description="提交记录列表")
public class QuesSubNotePage {

	/**主键*/
	@ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
	@ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**医生姓名*/
	@Excel(name = "医生姓名", width = 15)
	@ApiModelProperty(value = "医生姓名")
    private String doctorName;
	/**医生账号*/
	@Excel(name = "医生账号", width = 15)
	@ApiModelProperty(value = "医生账号")
    private String doctorCode;
	/**问卷名称*/
	@Excel(name = "问卷名称", width = 15)
	@ApiModelProperty(value = "问卷名称")
    private String quesName;

	@ExcelCollection(name="提交记录列表详情")
	@ApiModelProperty(value = "提交记录列表详情")
	private List<QuesSubNodeMessage> quesSubNodeMessageList;

}
